Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrStyle Class Reference

A PangoAttrStyle C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrStyle:

List of all members.

## Public Member Functions

Constructors

- AttrStyle (Style style=STYLE_NORMAL)
    Constructs a new font slant style attribute.

Accessors

- Style style () const
    Returns the slant style.

Methods

- void set_style (Style style)
    Sets the slant style.

## Detailed Description

A PangoAttrStyle C++ wrapper class.

AttrStyle wraps the style attribute (ATTR_STYLE).

## Constructor & Destructor Documentation

Inti::Pango::AttrStyle::AttrStyle | ( | Style | style = STYLE_NORMAL | ) | `[explicit]`

  | Constructs a new font slant style attribute. Parameters:
  style | The slant style.

## Member Function Documentation

void Inti::Pango::AttrStyle::set_style | ( | Style | style | ) |

  | Sets the slant style. Parameters:
  style | The new slant style.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer